Bug 1777880 - [abrt] tilda: require_socket(): tilda killed by SIGSEGV
Summary: [abrt] tilda: require_socket(): tilda killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tilda
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: hannes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:35a07763ba8dfc8b91237f75dae...
: 1791448 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-28 15:09 UTC by Richard Fleming
Modified: 2020-05-15 03:28 UTC (History)
3 users (show)

Fixed In Version: tilda-1.5.1-1.fc31
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-15 03:28:39 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (38.73 KB, text/plain)
2019-11-28 15:09 UTC, Richard Fleming
no flags Details
File: core_backtrace (21.46 KB, text/plain)
2019-11-28 15:10 UTC, Richard Fleming
no flags Details
File: cpuinfo (2.47 KB, text/plain)
2019-11-28 15:10 UTC, Richard Fleming
no flags Details
File: dso_list (9.20 KB, text/plain)
2019-11-28 15:10 UTC, Richard Fleming
no flags Details
File: environ (1.71 KB, text/plain)
2019-11-28 15:10 UTC, Richard Fleming
no flags Details
File: exploitable (82 bytes, text/plain)
2019-11-28 15:10 UTC, Richard Fleming
no flags Details
File: limits (1.29 KB, text/plain)
2019-11-28 15:10 UTC, Richard Fleming
no flags Details
File: maps (59.25 KB, text/plain)
2019-11-28 15:10 UTC, Richard Fleming
no flags Details
File: mountinfo (2.86 KB, text/plain)
2019-11-28 15:10 UTC, Richard Fleming
no flags Details
File: open_fds (1.32 KB, text/plain)
2019-11-28 15:10 UTC, Richard Fleming
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-11-28 15:10 UTC, Richard Fleming
no flags Details

Description Richard Fleming 2019-11-28 15:09:57 UTC
Description of problem:
This problem occurs every single instance I try to start Tilda.

Version-Release number of selected component:
tilda-1.4.1-4.fc31

Additional info:
reporter:       libreport-2.11.3
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        /usr/bin/tilda
crash_function: require_socket
executable:     /usr/bin/tilda
journald_cursor: s=cb84ba0aa0f94b6abe96adc6a1b3224b;i=2a497;b=7455b6f63db24300a29657796aeb5761;m=1456de3927;t=5986909ab2137;x=410099044ccb11e9
kernel:         5.3.12-300.fc31.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 require_socket at xcb_io.c:68
 #2 _XFlush at xcb_io.c:515
 #3 _XGetRequest at XlibInt.c:1762
 #4 XGetModifierMapping at ModMap.c:43
 #5 reload_modmap at src/eggaccelerators.c:173
 #6 egg_keymap_get_modmap at src/eggaccelerators.c:173
 #7 egg_keymap_resolve_virtual_modifiers at src/eggaccelerators.c:56
 #8 lookup_ignorable_modifiers at src/tomboykeybinder.c:88
 #9 tomboy_keybinder_init at src/tomboykeybinder.c:319

Potential duplicate: bug 1760876

Comment 1 Richard Fleming 2019-11-28 15:09:59 UTC
Created attachment 1640397 [details]
File: backtrace

Comment 2 Richard Fleming 2019-11-28 15:10:00 UTC
Created attachment 1640398 [details]
File: core_backtrace

Comment 3 Richard Fleming 2019-11-28 15:10:01 UTC
Created attachment 1640399 [details]
File: cpuinfo

Comment 4 Richard Fleming 2019-11-28 15:10:02 UTC
Created attachment 1640400 [details]
File: dso_list

Comment 5 Richard Fleming 2019-11-28 15:10:03 UTC
Created attachment 1640401 [details]
File: environ

Comment 6 Richard Fleming 2019-11-28 15:10:05 UTC
Created attachment 1640402 [details]
File: exploitable

Comment 7 Richard Fleming 2019-11-28 15:10:06 UTC
Created attachment 1640403 [details]
File: limits

Comment 8 Richard Fleming 2019-11-28 15:10:08 UTC
Created attachment 1640404 [details]
File: maps

Comment 9 Richard Fleming 2019-11-28 15:10:09 UTC
Created attachment 1640405 [details]
File: mountinfo

Comment 10 Richard Fleming 2019-11-28 15:10:10 UTC
Created attachment 1640406 [details]
File: open_fds

Comment 11 Richard Fleming 2019-11-28 15:10:11 UTC
Created attachment 1640407 [details]
File: proc_pid_status

Comment 12 Dmyrto 2020-01-15 20:34:54 UTC
*** Bug 1791448 has been marked as a duplicate of this bug. ***

Comment 13 Fedora Update System 2020-05-01 05:40:35 UTC
FEDORA-2020-7e981547a5 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-7e981547a5

Comment 14 Fedora Update System 2020-05-02 05:32:13 UTC
FEDORA-2020-7e981547a5 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-7e981547a5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-7e981547a5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-05-06 16:53:59 UTC
FEDORA-2020-7e981547a5 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-7e981547a5

Comment 16 Fedora Update System 2020-05-07 06:29:12 UTC
FEDORA-2020-7e981547a5 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-7e981547a5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-7e981547a5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2020-05-15 03:28:39 UTC
FEDORA-2020-7e981547a5 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.